

function D = distcmpt(Eb_N0,Gt, Gr, MdB, FdB, Rb,PSDss, BOI)

F = 10^(FdB/10);             % Conversion of the noise
                             %  factor to linear units
Margin = 10^(MdB/10);       % Conversion of the link
                             %  margin to linear units
k = 1.38e-23;                % Boltzmann constant [J/K]
T0 = 290;                    % Standard temperature [K]
N0 = F*k*T0;                 % Noise monolateral PSD [W/Hz]
c = 3e8;                                % Light speed [m/s] 
Tb=1./Rb;
free_space_term =  (Gt * Gr * c^2) / (16 * pi^2);
frequency_term = sum(PSDss./(BOI.^2))*(BOI(length(BOI))-...
   BOI(1))/length(BOI);
D = sqrt((free_space_term * frequency_term * Tb) /...
   (Margin * Eb_N0* N0));
