function [Eb_N0_min] = getEbN0(MOD,M,Pre)
% ----------------------------------------------
% Step One - Evaluation of Maximum distance
% ----------------------------------------------

Eb_N0 = logspace(0,2,100);     % Range of Eb/N0: 0-20 dB

if (MOD~=1) && (MOD~=2)
    fprintf('Error: modulation unknown\n');
else
    if (MOD==1) %PAM
        Pr =(1-1/M)*erfc(sqrt(Eb_N0 * 3 *log2(M)/(M^2-1)));
        
    elseif (MOD==2)%PPM
        Pr = exp(-0.5 * log2(M)*(Eb_N0 - 2 *log(2)));
    end
    admissibleValues=find(Pr<Pre);
    Eb_N0_min=Eb_N0(admissibleValues(1));
end

